/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CathPatientCharacteristics
 */
public enum EnumCV_CardiovascularPatientCharacteristics
{
	//TID 3602 Cardiovascular Patient Characteristics
	PATIENT_CHARACTERISTICS_121118("121118"),
	SUBJECT_AGE_121033("121033"),
	SUBJECT_SEX_121032("121032"),
	PATIENT_HEIGHT_8302_2("8302-2"),
	PATIENT_WEIGHT_29463_7("29463-7"),
	THORAX_DIAMETER_SAGITTAL_122221("122221"),
	BODY_SURFACE_AREA_8277_6("8277-6"),
	BODY_SURFACE_AREA_FORMULA_8248_4("8248-4"),
	BODY_MASS_INDEX_F_01860("F-01860"),
	EQUATION_121420("121420"),
	PATIENT_PRESENTATION_121110("121110"),
	FINDING_121071("121071"),
	FUNCTIONAL_CAPACITY_F_04FCC("F-04FCC"),
	BREAST_SIZE_F_009E4("F-009E4"),
	CHEST_CIRCUMFERENCE_F_03D8C("F-03D8C"),
	CARDIAC_RHYTHM_8884_9("8884-9"),
	DIASTOLIC_BLOOD_PRESSURE_F_008ED("F-008ED"),
	SYSTOLIC_BLOOD_PRESSURE_F_008EC("F-008EC"),
	HEART_RATE_8867_4("8867-4");

	private String value;
	
	EnumCV_CardiovascularPatientCharacteristics(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
